pcre-8.40-2.mga6.i586.rpm


Advertisement

Description

pcre - Perl-compatible regular expression library

Distribution: Mageia 6.0
Repository: Mageia Core i586
Package name: pcre
Package version: 8.40
Package release: 2.mga6
Package architecture: i586
Package type: rpm
Installed size: 223.69 KB
Download size: 103.89 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
PCRE has its own native API, but a set of "wrapper" functions that are based on the POSIX API are also supplied in the library libpcreposix. Note that this just provides a POSIX calling interface to PCRE: the regular expressions themselves still follow Perl syntax and semantics. This package contains a grep variant based on the PCRE library.

Alternatives

Provides

  • pcre == 8.40-2.mga6
  • pcre(x86-32) == 8.40-2.mga6

    Download

    Binary package: pcre-8.40-2.mga6.i586.rpm
    Source package: pcre-8.40-2.mga6.src.rpm

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install pcre rpm package:
      # urpmi pcre

    Files

    • /usr/bin/pcregrep
    • /usr/bin/pcretest
    • /usr/share/doc/pcre/AUTHORS
    • /usr/share/doc/pcre/COPYING
    • /usr/share/doc/pcre/LICENCE
    • /usr/share/doc/pcre/NEWS
    • /usr/share/doc/pcre/README
    • /usr/share/man/man1/pcregrep.1.xz
    • /usr/share/man/man1/pcretest.1.xz

    Changelog

    2017-02-26 - luigiwalser <luigiwalser> 8.40-2.mga6 + Revision: 1087932 - add upstream patches via fedora to fix security issues including CVE-2017-6004

    2017-01-14 - luigiwalser <luigiwalser> 8.40-1.mga6 + Revision: 1081685 - 8.40 - rediff patch4

    2016-07-19 - luigiwalser <luigiwalser> 8.39-1.mga6 + Revision: 1042540 - 8.39

    2016-05-22 - shlomif <shlomif> 8.38-4.mga6 + Revision: 1017763 - Add static libraries - patch from proyvind

    2016-05-22 - luigiwalser <luigiwalser> 8.38-3.mga6 + Revision: 1017650 - update to latest CVS as of 20160521 (aka 8.39-RC1) to fix security bugs: - CVE-2016-1283 and CVE-2016-3191 (mga#17438) + umeabot <umeabot> - Mageia 6 Mass Rebuild

    2015-11-24 - luigiwalser <luigiwalser> 8.38-1.mga6 + Revision: 905732 - 8.38

    2015-09-05 - luigiwalser <luigiwalser> 8.37-5.mga6 + Revision: 872898 - update to latest CVS as of 20150902 (aka 8.38-RC1) to fix security bugs (mga#16067)

    2015-08-21 - tmb <tmb> 8.37-4.mga6 + Revision: 867685 - rebuild for new gcc

    2015-06-26 - luigiwalser <luigiwalser> 8.37-3.mga6 + Revision: 844507 - add upstream patch to fix CVE-2015-5073

    2015-06-13 - luigiwalser <luigiwalser> 8.37-2.mga5 + Revision: 823076 - add upstream patches to fix various overflow issues including CVE-2015-321[07]

    Advertisement
    Advertisement